{
  lib,
  fetchFromGitHub,
  buildPythonPackage,
  setuptools,
  wheel,
}:

buildPythonPackage rec {
  pname = "inputs";
  version = "0.5";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "zeth";
    repo = "inputs";
    rev = "v${version}";
    hash = "sha256-tU1R6lhSMZj3Y6XdrT/Yfbte/BdLDvo6TzvLbnr+1vo=";
  };

  build-system = [
    setuptools
    wheel
  ];

  pythonImportsCheck = [
    "inputs"
  ];

  meta = {
    description = "Cross-platform Python support for keyboards, mice and gamepads";
    homepage = "https://github.com/zeth/inputs";
    changelog = "https://github.com/zeth/inputs/blob/${src.rev}/CHANGELOG.rst";
    license = lib.licenses.bsd3;
    maintainers = with lib.maintainers; [ CaptainJawZ ];
    mainProgram = "inputs";
  };
}
